|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionFrame Class Reference

The QStyleOptionFrame class is used to describe the parameters for drawing a frame. More...

    #include <QStyleOptionFrame>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Public Functions

- QStyleOptionFrame ()
- QStyleOptionFrame ( const QStyleOptionFrame & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- int lineWidth
- int midLineWidth

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionFrame class is used to describe the parameters for drawing a frame.

QStyleOptionFrame is used for drawing several built-in Qt widget, including QFrame, QGroupBox, QLineEdit, and QMenu.

## Member Function Documentation

### QStyleOptionFrame::QStyleOptionFrame ()

Constructs a QStyleOptionFrame. The members variables are initialized to default values.

### QStyleOptionFrame::QStyleOptionFrame ( const QStyleOptionFrame & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionFrame::Type

Equals SO_Frame.

### const int QStyleOptionFrame::Version

Equals 1.

### int QStyleOptionFrame::lineWidth

This variable holds the line width for drawing the panel.

### int QStyleOptionFrame::midLineWidth

This variable holds the mid-line width for drawing the panel. This is usually used in drawing sunken or raised frames.